npm command-line interface

# npm-root

Display npm root

## Table of contents

- Synopsis
- Description
- See Also

### Synopsis

    npm root [-g]

### Description

Print the effective `node_modules` folder to standard out.

Useful for using npm in shell scripts that do things with the `node_modules` folder. For example:

    #!/bin/bash
    global_node_modules="$(npm root --global)"
    echo "Global packages installed in: ${global_node_modules}"

### See Also

- npm prefix
- npm bin
- npm folders
- npm config
- npmrc